
QGIS Application - Bug report #19907

qgis 3.2 crashes at start

2018-09-21 09:58 AM - matthieu carlini

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 27731

Description

I have always the same problem, now in version 3.2.3 (same as #18260 with 3.0)

User Feedback

Report Details

Crash ID: 2b13ba363e68d5bfba9db84847bbee01915c34c5

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :
QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::lastVisibleItem :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-09-23 11:23 AM - Saber Razmjooei

- Category changed from Build/Install to Unknown

#2 - 2018-09-23 02:49 PM - Jürgen Fischer

- Related to Bug report #19759: crash in browser added

#3 - 2018-09-23 02:53 PM - Jürgen Fischer

- Duplicates Bug report #18548: QGIS 3.0.1 crash on startup added

#4 - 2018-09-23 02:53 PM - Jürgen Fischer

- Related to deleted (Bug report #19759: crash in browser)

#5 - 2018-09-23 02:57 PM - Jürgen Fischer

- Duplicates deleted (Bug report #18548: QGIS 3.0.1 crash on startup)

#6 - 2018-09-23 03:49 PM - Jürgen Fischer
- Duplicates Bug report #18260: qgis 3 crashes at start added

#7 - 2018-09-23 03:49 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
